# Create an order

Use this endpoint to create and confirm an order using a valid order token and payment details.

Endpoint: POST /orders/create
Version: 3.2-Beta
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (object)

  - `data.order` (string)
    ID for this order.

  - `data.accommodation` (object)
    All accommodation related information for this order.

  - `data.accommodation.pincode` (string)
    Pincode for this accommodation order.

  - `data.accommodation.reservation` (string)
    Reservation ID for this accommodation order.

  - `data.accommodation.third_party_inventory` (object)

  - `data.accommodation.third_party_inventory.checkin_number` (string)
    The number required at the time of check-in. It allows guests to confirm their order at the accommodation.
    Example: "473026811"

  - `data.accommodation.third_party_inventory.confirmation_number` (string)
    The confirmation number, when used in conjunction with the pincode, helps verify the customer's order and facilitates efficient support during inquiries or troubleshooting.
    Example: "12365478936925814787"

  - `data.car` (object)
    All car related information for this order.

  - `data.car.reservation_id` (string)
    ID for this car order.

  - `data.car.status` (string)
    Status of this car order.

  - `data.payment` (object)
    All payment related information for this order.

  - `data.payment.authorisation_form_url` (string)
    Link to a virtual credit card''s authorisation form, valid for 7 minutes from issue. This will only the added if the request has authorisation_form.
    Example: "https://secure-admin.booking.com/airplus_auth_form_pdf.html?token=AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA&lang=en"

  - `data.payment.receipt_url` (string)
    Link to the payment receipt of the order. This will only be added if include_receipt is true.
    Example: "https://secure.booking.com/payment_receipt.html?bn=0000000000&pincode=0000&lang=en"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)

## Response 409 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)

  - `errors.reservation` (string)
    The reservation ID associated with the duplicated request. Only returned when a reservation already exists.

## Response 500 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)


